<script lang="ts">
  type ButtonType = 'button' | 'submit' | 'reset' | null | undefined

  export let transparent = false,
    active = false,
    type: ButtonType = undefined,
    disabled = false;
</script>

<button
    on:click
    {disabled}
    {type}
    class:active={active}
    class="{$$props.class} {transparent ? 'border-2 hover:border-blue-700' : 'bg-blue-700 hover:bg-blue-600 text-white shadow-md shadow-blue-200'}">
    <slot/>
</button>

<style lang="postcss">
    button {
        @apply
        disabled:bg-blue-400 disabled:cursor-progress
        px-4 py-2 rounded-full
        whitespace-nowrap cursor-pointer transition-all duration-200
        focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-blue-700
        text-xl font-bold;
    }

    .active {
        @apply border-blue-700
    }
</style>